# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl test.pl'

######################### We start with some black magic to print on failure.

# Change 1..1 below to 1..last_test_to_print .
# (It may become useful if the test is moved to ./t subdirectory.)

BEGIN { $| = 1; print "1..6\n"; }
END {print "not ok 1\n" unless $loaded;}
use Awale::TextSearch;
$loaded = 1;
print "ok 1\n";
######################### End of black magic.

$^W=1;
use strict;

my $search=Awale::TextSearch->new("t/created");

END {
    foreach my $file ($search->files) {
        unlink $file;
    }
}

my $IDs=$search->search("hello", linear=>1);
# warn Dumper $IDs;
print "not " unless 2==keys %$IDs;
print "ok 2\n";

$IDs=$search->search("ignatz", linear=>1);
# warn Dumper $IDs;
print "not " unless 4==keys %$IDs;
print "ok 3\n";

$IDs=$search->search("ignatz" x 300, linear=>1);
# warn Dumper $IDs;
print "not " unless 0==keys %$IDs;
print "ok 4\n";

$IDs=$search->search("ignatz" x 300, exact=>1, linear=>1);
# warn Dumper $IDs;
print "not " unless 0==keys %$IDs;
print "ok 5\n";

$IDs=$search->search("ignatz" x 300, bm=>1);
# warn Dumper $IDs;
print "not " unless 0==keys %$IDs;
print "ok 6\n";

